package cn.iocoder.yudao.module.pms.service.yanfan.sip.device;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.pms.controller.admin.yanfan.sip.device.vo.YfSipDevicePageReqVO;
import cn.iocoder.yudao.module.pms.controller.admin.yanfan.sip.device.vo.YfSipDeviceSaveReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.yanfan.sip.device.YfSipDeviceDO;
import cn.iocoder.yudao.module.pms.dal.dataobject.yanfan.sip.device.channel.YfSipDeviceChannelDO;
import cn.iocoder.yudao.module.pms.service.yanfan.sip.model.BaseTree;
import liquibase.pro.packaged.Y;

import javax.validation.Valid;

/**
 * yf监控设备 Service 接口
 *
 * @author 超级管理员
 */
public interface YfSipDeviceService {
    int deleteSipDeviceBySipId(String SipId);
    List<BaseTree<YfSipDeviceChannelDO>> selectSipDeviceChannelList(String deviceId);
    int updateSipDeviceStatus(YfSipDeviceDO sipDevice);
    boolean exists(String sipId);
    boolean updateDevice(YfSipDeviceDO device);
    YfSipDeviceDO selectSipDeviceBySipId(String sipId);
    /**
     * 创建yf监控设备
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createYfSipDevice(@Valid YfSipDeviceSaveReqVO createReqVO);

    /**
     * 更新yf监控设备
     *
     * @param updateReqVO 更新信息
     */
    void updateYfSipDevice(@Valid YfSipDeviceSaveReqVO updateReqVO);

    /**
     * 删除yf监控设备
     *
     * @param id 编号
     */
    void deleteYfSipDevice(Long id);

    /**
     * 获得yf监控设备
     *
     * @param id 编号
     * @return yf监控设备
     */
    YfSipDeviceDO getYfSipDevice(Long id);

    /**
     * 获得yf监控设备分页
     *
     * @param pageReqVO 分页查询
     * @return yf监控设备分页
     */
    PageResult<YfSipDeviceDO> getYfSipDevicePage(YfSipDevicePageReqVO pageReqVO);

}
